### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-hero-banner/ecl-hero-banner.component.ts`

### Extends

`ECLBaseDirective`

### Implements

`AfterContentInit`

### Metadata

selector | `ecl-hero-banner`
templateUrl | `./ecl-hero-banner.component.html`

### Index

###### Properties

- eclButtonComponents

###### Methods

- getCssClasses

###### Inputs

- description
- image
- isCentered
- isFullWidth
- variant
- class
- e2eAttr

###### HostBindings

- class

###### Accessors

- cssClasses

### Inputs

description
Type : `string`

image
Type : `string`

isCentered
Type : `boolean`
Default value : `true`

isFullWidth
Type : `boolean`
Default value : `false`

variant
Type : `"default" | "image-shade" | "image-gradient" | "primary" | "secondary" | "white"`
Default value : `'default'`

class
Type : `string`

e2eAttr
Type : `any`

### HostBindings

class
Type : `any`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

### Properties

eclButtonComponents
Type : `QueryList<EclButtonComponent>`
Decorators : `@ContentChildren(undefined)`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""